---
title: 'Get token claim proof'
description: 'Get a token claim proof for a given wallet address'
openapi: GET /api/token_claims/{id}/proof
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`GET /api/token_claims/{id}/proof` — path parameters: `id`; query parameters: `walletAddress`, `id`

`GET https://admin.snagsolutions.io/api/token_claims/{id}/proof`

Get a token claim proof for a given wallet address

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Path parameters

- `id` (string, required)

## Query parameters

- `walletAddress` (string, required)
- `id` (string, required)

## Response 200

200
  - response (object)
    - `totalAllocation` (number, required)
    - `tokenClaimId` (string, uuid, required)
    - `walletAddress` (string, required)

## Response 400

400
  - response (object) — Schema for bad request response
    - `message` (string, required) — Error message

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 404

404
  - response (object) — Schema for not found response
    - `message` (string, required) — Error message

## Response 429

429
  - response (object) — Schema for too many request response
    - `message` (string, required) — Error message


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
